### YamlMime:ManagedReference
items:
- uid: Voile.Input.InputAction
  commentId: T:Voile.Input.InputAction
  id: InputAction
  parent: Voile.Input
  children:
  - Voile.Input.InputAction.IsDown(Voile.Input.InputSystem)
  - Voile.Input.InputAction.IsPressed(Voile.Input.InputSystem)
  - Voile.Input.InputAction.IsReleased(Voile.Input.InputSystem)
  langs:
  - csharp
  - vb
  name: InputAction
  nameWithType: InputAction
  fullName: Voile.Input.InputAction
  type: Class
  source:
    remote:
      path: Voile/Source/Input/InputAction.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: InputAction
    path: Source/Input/InputAction.cs
    startLine: 2
  assemblies:
  - Voile
  namespace: Voile.Input
  syntax:
    content: public abstract class InputAction
    content.vb: Public MustInherit Class InputAction
  inheritance:
  - System.Object
  derivedClasses:
  - Voile.Input.KeyInputAction
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
- uid: Voile.Input.InputAction.IsDown(Voile.Input.InputSystem)
  commentId: M:Voile.Input.InputAction.IsDown(Voile.Input.InputSystem)
  id: IsDown(Voile.Input.InputSystem)
  parent: Voile.Input.InputAction
  langs:
  - csharp
  - vb
  name: IsDown(InputSystem)
  nameWithType: InputAction.IsDown(InputSystem)
  fullName: Voile.Input.InputAction.IsDown(Voile.Input.InputSystem)
  type: Method
  source:
    remote:
      path: Voile/Source/Input/InputAction.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: IsDown
    path: Source/Input/InputAction.cs
    startLine: 4
  assemblies:
  - Voile
  namespace: Voile.Input
  syntax:
    content: public abstract bool IsDown(InputSystem inputHandler)
    parameters:
    - id: inputHandler
      type: Voile.Input.InputSystem
    return:
      type: System.Boolean
    content.vb: Public MustOverride Function IsDown(inputHandler As InputSystem) As Boolean
  overload: Voile.Input.InputAction.IsDown*
- uid: Voile.Input.InputAction.IsPressed(Voile.Input.InputSystem)
  commentId: M:Voile.Input.InputAction.IsPressed(Voile.Input.InputSystem)
  id: IsPressed(Voile.Input.InputSystem)
  parent: Voile.Input.InputAction
  langs:
  - csharp
  - vb
  name: IsPressed(InputSystem)
  nameWithType: InputAction.IsPressed(InputSystem)
  fullName: Voile.Input.InputAction.IsPressed(Voile.Input.InputSystem)
  type: Method
  source:
    remote:
      path: Voile/Source/Input/InputAction.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: IsPressed
    path: Source/Input/InputAction.cs
    startLine: 5
  assemblies:
  - Voile
  namespace: Voile.Input
  syntax:
    content: public abstract bool IsPressed(InputSystem inputHandler)
    parameters:
    - id: inputHandler
      type: Voile.Input.InputSystem
    return:
      type: System.Boolean
    content.vb: Public MustOverride Function IsPressed(inputHandler As InputSystem) As Boolean
  overload: Voile.Input.InputAction.IsPressed*
- uid: Voile.Input.InputAction.IsReleased(Voile.Input.InputSystem)
  commentId: M:Voile.Input.InputAction.IsReleased(Voile.Input.InputSystem)
  id: IsReleased(Voile.Input.InputSystem)
  parent: Voile.Input.InputAction
  langs:
  - csharp
  - vb
  name: IsReleased(InputSystem)
  nameWithType: InputAction.IsReleased(InputSystem)
  fullName: Voile.Input.InputAction.IsReleased(Voile.Input.InputSystem)
  type: Method
  source:
    remote:
      path: Voile/Source/Input/InputAction.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: IsReleased
    path: Source/Input/InputAction.cs
    startLine: 6
  assemblies:
  - Voile
  namespace: Voile.Input
  syntax:
    content: public abstract bool IsReleased(InputSystem inputHandler)
    parameters:
    - id: inputHandler
      type: Voile.Input.InputSystem
    return:
      type: System.Boolean
    content.vb: Public MustOverride Function IsReleased(inputHandler As InputSystem) As Boolean
  overload: Voile.Input.InputAction.IsReleased*
references:
- uid: Voile.Input
  commentId: N:Voile.Input
  href: Voile.html
  name: Voile.Input
  nameWithType: Voile.Input
  fullName: Voile.Input
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Input
    name: Input
    href: Voile.Input.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Input
    name: Input
    href: Voile.Input.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: Voile.Input.InputAction.IsDown*
  commentId: Overload:Voile.Input.InputAction.IsDown
  href: Voile.Input.InputAction.html#Voile_Input_InputAction_IsDown_Voile_Input_InputSystem_
  name: IsDown
  nameWithType: InputAction.IsDown
  fullName: Voile.Input.InputAction.IsDown
- uid: Voile.Input.InputSystem
  commentId: T:Voile.Input.InputSystem
  parent: Voile.Input
  href: Voile.Input.InputSystem.html
  name: InputSystem
  nameWithType: InputSystem
  fullName: Voile.Input.InputSystem
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: Voile.Input.InputAction.IsPressed*
  commentId: Overload:Voile.Input.InputAction.IsPressed
  href: Voile.Input.InputAction.html#Voile_Input_InputAction_IsPressed_Voile_Input_InputSystem_
  name: IsPressed
  nameWithType: InputAction.IsPressed
  fullName: Voile.Input.InputAction.IsPressed
- uid: Voile.Input.InputAction.IsReleased*
  commentId: Overload:Voile.Input.InputAction.IsReleased
  href: Voile.Input.InputAction.html#Voile_Input_InputAction_IsReleased_Voile_Input_InputSystem_
  name: IsReleased
  nameWithType: InputAction.IsReleased
  fullName: Voile.Input.InputAction.IsReleased
